<dx-scroll-view height='100%'>
    <dx-form [colCount]="2" [formData]='wastetypeData' [showValidationSummary]="false" validationGroup="wtValidation" labelLocation="left">
        <dxi-item itemType="group" [colSpan]="2" [colCount]='2'>
            <dxi-item [label]="{text: 'Denumire'}" dataField="name" editorType="dxTextBox" [editorOptions]="{}">
                <dxi-validation-rule type="required"></dxi-validation-rule>
            </dxi-item>
            <dxi-item [label]="{text: 'Cod'}" dataField="code" editorType="dxTextBox" [editorOptions]="{}">
                <dxi-validation-rule type="required"></dxi-validation-rule>
            </dxi-item>
            <dxi-item [label]="{text: 'Periculozitate'}" dataField="hazard" editorType="dxSelectBox"
                [editorOptions]="{ dataSource: ds.hazard, valueExpr: 'id', displayExpr: 'value', showClearButton: true }">
                <!-- <dxi-validation-rule type="required"></dxi-validation-rule> -->
            </dxi-item>
            <dxi-item [label]="{text: 'Stare fizică'}" dataField="physicalCondition" editorType="dxSelectBox"
                [editorOptions]="{ dataSource: ds.physicalCondition, valueExpr: 'id', displayExpr: 'value', showClearButton: true }">
                <!-- <dxi-validation-rule type="required"></dxi-validation-rule> -->
            </dxi-item>
            <dxi-item [label]="{text: 'Unitate de măsură'}" dataField="uom" editorType="dxSelectBox"
                [editorOptions]="{ dataSource: ds.uom, valueExpr: 'id', displayExpr: 'value', showClearButton: true }">
                <!-- <dxi-validation-rule type="required"></dxi-validation-rule> -->
            </dxi-item>
        </dxi-item>
    </dx-form>
</dx-scroll-view>